Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154788 - ldd -V option broken
Summary: ldd -V option broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jiri Ryska
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 06:27 UTC by M. LaPlante
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: man-pages-2.05-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 14:55:40 UTC


Attachments (Terms of Use)

Description M. LaPlante 2005-04-14 06:27:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Small bug... from the ldd manpage:
NAME
       ldd - print shared library dependencies
OPTIONS
       -V --version
              Print the version number of ldd.

However with this build of ldd, --version works and -V does not (print unknown command):

[root@host ~]# ldd -V
ldd: unrecognized option `-V'
Try `ldd --help' for more information.
[root@barricade ~]# ldd --version      
ldd (GNU libc) 2.3.5
Copyright (C) 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.
[root@host ~]# 

Version-Release number of selected component (if applicable):
ldd (GNU libc) 2.3.5; glibc-common-2.3.5-0.fc3.1

How reproducible:
Always

Steps to Reproduce:
run ldd -V with glibc-common-2.3.5-0.fc3.1 installed

Additional info:

Comment 1 Jakub Jelinek 2005-04-15 18:56:56 UTC
No, the bug is in the man page.  See ldd --help for the real list
of options, -V is not among them, only --version is.


Note You need to log in before you can comment on or make changes to this bug.